| Home | Libraries | People | FAQ | More

## Function typeid_of

boost::type_erasure::typeid_of

## Synopsis

    // In header: <boost/type_erasure/typeid_of.hpp>

    template<typename Concept, typename T>
      const std::type_info & typeid_of(const any< Concept, T > & arg);
    template<typename T, typename Concept>
      const std::type_info & typeid_of(const binding< Concept > & binding);

## Description

The first form returns the type currently stored in an any.

The second form returns the type corresponding to a placeholder in `binding`.

Requires: | `Concept` includes typeid_<T>.
Requires: | `T` is a non-reference, CV-unqualified placeholder.